/*
 * main.c
 *
 *  Created on: Sep 8, 2011
 *      Author: qwer1
 */

#include "setup.h"

GPIO_InitTypeDef  GPIO_InitStructure;
RCC_ClocksTypeDef RCC_ClockFreq;

int main( void ) {

	RCC_APB2PeriphClockCmd( RCC_APB2Periph_GPIOB, ENABLE);

	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_6 | GPIO_Pin_7;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_2MHz;
	GPIO_Init(GPIOB, &GPIO_InitStructure);

	GPIO_InitStructure.GPIO_Pin   = GPIO_Pin_14 | GPIO_Pin_13;
	GPIO_InitStructure.GPIO_Mode  = GPIO_Mode_Out_OD;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_2MHz;
	GPIO_Init(GPIOC, &GPIO_InitStructure);

	// setup hardware
	//setup( SETUP_MO_NORMAL );

	// main loop
	while (1) {

		GPIO_SetBits(GPIOB, GPIO_ODR_ODR6 | GPIO_ODR_ODR7);
		GPIO_SetBits(GPIOC, GPIO_ODR_ODR13 | GPIO_ODR_ODR14);
		for (volatile uint32_t d=10000000UL; d; d--);

		GPIO_ResetBits(GPIOB, GPIO_ODR_ODR6 | GPIO_ODR_ODR7);
		GPIO_ResetBits(GPIOC, GPIO_ODR_ODR13 | GPIO_ODR_ODR14);
		for (volatile uint32_t d=10000000UL; d; d--);

	}

	return 0;
}
